V3 Get All External Users

Retrieve details about all external TPO users. Use query parameters to filter results.
Either orgId or TPO ID is mandatory while querying for the list of external users.

Usage Notes

The users that are returned depends on the current user type and persona. Review the scenarios below for more details:

ScenarioBehaviour
Current user is external user.User can see external users within the user's current org, and all child orgs if 'isRecursive' is True. If the user passes the query orgId parameter outside their org hierarchy, an empty result set is returned.
Current user is external user and has "sales rep/AE" persona.User can see external users for organizations where they are added as a sales rep/AE.

❗️

Known Issue

Support for orgId=0 is not yet production-ready and has a known performance issue when data is retrieved without pagination. This issue will be addressed in an upcoming release. In the meantime, when testing this feature (NOT FOR PRODUCTION USE), you must include pagination parameters in all API requests, with a page size no greater than 1,000.

Query Params
string

Unique Identifier of the external organization/ TPO Company that you want the list of users for.

string

The TPO ID of the external organization that you want the list of users for.

boolean

Possible values are true and false. Will return users of sub-organizations in the hierarchy if set to true.

boolean

Indicates if only users who are authorized Traders are to be returned in the response. Defaults to false

string

Starting index for pagination.

string

Limiting index for pagination. The maximum limit is 1000 records. If no limit passed, the default is 10 records.

string

Use to return only the entities needed by the user.
Possible values: Summary, RateSheetAndLockInfo, TpocSetup, salesRep, ApprovalStatus, personas, roles, licenses, Notes, All

string

Use to filter the results by any of the following:
- OrgName - The organization name associated to the user.
- CompanyName - The company name associated to the user.
- BranchName - The company branch name associated to the user.
- FirstName - The user's first name.
- LastName - The user's last name.
- EmailId - The user's email address.
- Phone - The user's phone number.
- PersonaId - The Persona IDs associated to the user.
- PersonaName - The Persona Names associated to the user.
- siteId - The siteId of the site URL for the organization associated to the user.
- DesignatedRoleId - The Designated Role IDs associated to the user.
- DesignatedRoleName - The Designated Role Names associated to the user.
- RoldId - The Role IDs associated to the user.
- RoleName - The Role Names associated to the user.
Filter example: v3/externalUsers?filter=companyName:'ABCcorp',siteId|('3298728272', '6298472767','3385961829', '1234554321’

string

Use to sort the results by any of the following:
- OrgName - The organization name associated to the user.
- CompanyName - The company name associated to the user.
- BranchName - The company branch name associated to the user.
- FirstName - The user's first name.
- LastName - The user's last name.
- EmailId - The user's email address.
- Phone - The user's phone number.
- PersonaId - The Persona IDs associated to the user.
- PersonaName - The Persona Names associated to the user.
- siteId - The siteId of the site URL for the organization associated to the user.
- DesignatedRoleId - The Designated Role IDs associated to the user.
- DesignatedRoleName - The Designated Role Names associated to the user.
- RoldId - The Role IDs associated to the user.
- RoleName - The Role Names associated to the user.
Sort Example (descending): /v3/externalUsers?sort=Name:desc
Sort Example (ascending): /v3/externalUsers?sort=OrgName:asc

Headers
string
required

Bearer token.

Responses

400

Bad Request

Language
URL
Response
Choose an example:
application/json